Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.hibernate.tool.hbm2java
Class QueryBuilder

    java.lang.Object
      |
      +--net.sf.hibernate.tool.hbm2java.QueryBuilder

public class QueryBuilder
extends Object

Build queries for use in finder generation.

Author:
  Matt Hall (matt2k(at)users.sf.net)

Field Summary
`static String` | `CRITERIA_EQUALS`
`static String` | `CRITERIA_GREATER_THAN`
`static String` | `CRITERIA_LESS_THAN`
`static String` | `CRITERIA_LIKE`

Constructor Summary
`QueryBuilder()`

Method Summary
`void` | `addCritera(ClassMapping criteriaClass, Field field, String condition)`
`List` | `getParams()`
`String` | `getParamsAsString()`
`List` | `getParamTypes()`
`String` | `getParamTypesAsString()`
`String` | `getQuery()`
`void` | `setForeignClass(ClassName foreignClass, Map classMappings, String joinFieldName)`
`void` | `setLocalClass(ClassMapping localClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CRITERIA_EQUALS

    public static final String CRITERIA_EQUALS

See Also:
  Constant Field Values

### CRITERIA_GREATER_THAN

    public static final String CRITERIA_GREATER_THAN

See Also:
  Constant Field Values

### CRITERIA_LESS_THAN

    public static final String CRITERIA_LESS_THAN

See Also:
  Constant Field Values

### CRITERIA_LIKE

    public static final String CRITERIA_LIKE

See Also:
  Constant Field Values

Constructor Detail

### QueryBuilder

    public QueryBuilder()

Method Detail

### setLocalClass

    public void setLocalClass(ClassMapping localClass)

### setForeignClass

    public void setForeignClass(ClassName foreignClass,
                                Map classMappings,
                                String joinFieldName)

### addCritera

    public void addCritera(ClassMapping criteriaClass,
                           Field field,
                           String condition)

### getQuery

    public String getQuery()

  Returns:
    The query in string form

### getParamTypes

    public List getParamTypes()

### getParamTypesAsString

    public String getParamTypesAsString()

### getParams

    public List getParams()

### getParamsAsString

    public String getParamsAsString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD